org.gradle.api.plugins.quality

## Interface FindBugsReports

- All Superinterfaces:
    Collection<SingleFileReport>, org.gradle.util.Configurable<ReportContainer<SingleFileReport>>, DomainObjectCollection<SingleFileReport>, Iterable<SingleFileReport>, NamedDomainObjectCollection<SingleFileReport>, NamedDomainObjectSet<SingleFileReport>, ReportContainer<SingleFileReport>, Set<SingleFileReport>

      public interface FindBugsReports
      extends ReportContainer<SingleFileReport>

  The reporting configuration for the the `FindBugs` task. Only one of the xml or html reports can be enabled when the task executes. If more than one is enabled, an `InvalidUserDataException` will be thrown.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.reporting.ReportContainer

      `ReportContainer.ImmutableViolationException`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SingleFileReport` | `getHtml()` The findbugs html report
    `SingleFileReport` | `getXml()` The findbugs xml report

    - ### Methods inherited from interface org.gradle.api.reporting.ReportContainer

      `getEnabled`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getNamer, getRules`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.util.Collection

      `clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from interface org.gradle.util.Configurable

      `configure`

- - ### Method Detail

    - #### getXml

          SingleFileReport getXml()

      The findbugs xml report
      Returns:
        The findbugs xml report

    - #### getHtml

          SingleFileReport getHtml()

      The findbugs html report
      Returns:
        The findbugs html report